#
# spec file for package python3-pymc
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pymc
Version:        2.3.6
Release:        3.50
Summary:        Markov Chain Monte Carlo sampling toolkit
License:        AFL-3.0
Group:          Development/Languages/Python
Url:            https://github.com/pymc-devs/pymc
Source:         https://files.pythonhosted.org/packages/source/p/pymc/pymc-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  gcc-fortran
BuildRequires:  python3-numpy-devel
Requires:       python3-numpy
Recommends:     python3-matplotlib
Recommends:     python3-scipy
Recommends:     python3-pytables
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bayesian estimation, particularly using Markov chain Monte Carlo
(MCMC), is an increasingly relevant approach to statistical
estimation. However, few statistical software packages implement MCMC
samplers, and they are non-trivial to code by hand. pymc is a python
package that implements the Metropolis-Hastings algorithm as a python
class, and is extremely flexible and applicable to a large suite of
problems. pymc includes methods for summarizing output, plotting,
goodness-of-fit and convergence diagnostics.

pymc only requires NumPy. All other dependencies such as matplotlib,
SciPy, pytables, sqlite or mysql are optional.

%prep
%setup -q -n pymc-%{version}

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
export LANG=en_US.UTF-8
export LANGUAGE=en_US:en
export LC_ALL=en_US.UTF-8

python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE pymc/examples
%{python3_sitearch}/pymc
%{python3_sitearch}/pymc-%{version}-py%{py3_ver}.egg-info

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Nov 17 2015 arun@gmx.de
- specfile:
  * move examples to %%doc
* Wed Nov  4 2015 arun@gmx.de
- initial version
